package net.lensfrex.dscape.utils;

import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Component;

import javax.servlet.http.HttpServletRequest;

@Component
@Scope("singleton")
public class NetworkUtil {

    public static String getRealIP(HttpServletRequest request) {
        String forward = request.getHeader("X-Forwarded-For");
        if (forward != null) {
            return forward.split(",")[0];
        } else {
            return request.getRemoteAddr();
        }
    }
}
